# List API Log Get the list of all logs within the selected workspace.\ Optionally filter by date, page, and `#` of items per page. # OpenAPI definition ```json { "openapi": "3.0.3", "info": { "title": "PandaDoc Public API", "description": "PandaDoc API spans a broad range of functionality to help you build incredible documents automation experiences inside your product.\n\nPandaDoc API is organized around REST. Our API has predictable resource-oriented URLs and uses standard HTTP response codes, authentication, and verbs.\n\n## Getting started\n\nYou can start testing PandaDoc API with a sandbox key on our [Enterprise](https://www.pandadoc.com/pricing/) plan, either active or in trial.\n\nGenerate your [sandbox key](https://developers.pandadoc.com/reference/sandbox-key) on the Developer Dashboard with predefined [rate limits](https://developers.pandadoc.com/reference/limits). Or contact our solutions expert if you work with high-transaction volumes.\n\n## Guides\n\nIf you’re just getting started with PandaDoc, you may want to jump straight into one of our [getting started guides](https://developers.pandadoc.com/docs/getting-started) for the feature you’re most interested in, whether that’s:\n\n- [Create from template](https://developers.pandadoc.com/docs/create-send-document),\n- [Upload and send a local PDF](https://developers.pandadoc.com/docs/upload-and-send-a-local-pdf),\n- or [Listening for changes in document status](https://developers.pandadoc.com/docs/listen-document-status-changes).\n\nWe also recommend you to discover our dynamic content generation on a fly: [Create from a template with content placeholder](https://developers.pandadoc.com/docs/create-with-content-placeholders-from-template).\n", "termsOfService": "https://www.pandadoc.com/master-services-agreement/", "contact": { "name": "PandaDoc API Support", "url": "https://developers.pandadoc.com/", "email": "api-track@pandadoc.com" }, "license": { "name": "MIT", "url": "https://github.com/PandaDoc/pandadoc-openapi-specification/blob/main/LICENSE" }, "version": "7.18.2" }, "servers": [ { "url": "https://api.pandadoc.com", "description": "Public API" } ], "security": [ { "apiKey": [] }, { "oauth2": [] } ], "tags": [ { "name": "API Logs", "description": "Operations related to API logs." } ], "paths": { "/public/v1/logs": { "get": { "deprecated": true, "x-sunset": "2027-02-04", "summary": "List API Log", "description": "Get the list of all logs within the selected workspace.\\ Optionally filter by date, page, and `#` of items per page.", "operationId": "listLogs", "tags": [ "API Logs" ], "parameters": [ { "$ref": "#/components/parameters/SinceParam" }, { "$ref": "#/components/parameters/ToParam" }, { "$ref": "#/components/parameters/CountParam" }, { "$ref": "#/components/parameters/PageParam" }, { "$ref": "#/components/parameters/StatusesParam" }, { "$ref": "#/components/parameters/MethodsParam" }, { "$ref": "#/components/parameters/SearchParam" }, { "$ref": "#/components/parameters/EnvironmentTypeParam" } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/APILogListResponse" }, "examples": { "List API Logs": { "$ref": "#/components/examples/APILogListExample" }, "List API Logs 2XX": { "$ref": "#/components/examples/APILogList2XXExample" } } } } }, "400": { "$ref": "#/components/responses/400RequestError" }, "401": { "$ref": "#/components/responses/401" }, "429": { "$ref": "#/components/responses/429" } } } } }, "components": { "securitySchemes": { "apiKey": { "type": "apiKey", "name": "Authorization", "in": "header", "description": "The `Authorization` header must contain the API key. The value should be prefixed with `API-Key` followed by a space and the actual API key.\n", "x-default": "API-Key 3039ba033eb1410caa0a2227158d63c9d6502cd8" }, "oauth2": { "type": "oauth2", "flows": { "authorizationCode": { "authorizationUrl": "https://app.pandadoc.com/oauth2/authorize", "tokenUrl": "https://api.pandadoc.com/oauth2/access_token", "refreshUrl": "https://api.pandadoc.com/oauth2/access_token", "scopes": { "read+write": "Use `read+write` to create, send, delete, and download documents, and `read` to view templates and document details." } } }, "description": "Send the authenticating user to the PandaDoc OAuth2 request URL. We recommend a button or a link titled\n\"Connect to PandaDoc\" if you are connecting users from a custom application. Users will see the \"Authorize Application\" screen.\nWhen the user clicks \"Authorize\", PandaDoc redirects the user back to your site with an authorization code inside the URL.\n\nhttps://app.pandadoc.com/oauth2/authorize?client_id={client_id}&redirect_uri={redirect_uri}&scope=read+write&response_type=code\n\n`client_id` and `redirect_uri` values should match your application settings.\n" } }, "schemas": { "ApiLogStatusEnum": { "type": "integer", "enum": [ 100, 200, 300, 400, 500 ] }, "ApiLogMethodEnum": { "type": "string", "enum": [ "GET", "POST", "PUT", "PATCH", "DELETE" ] }, "ApiLogEnvironmentTypeEnum": { "type": "string", "enum": [ "PRODUCTION", "SANDBOX" ] }, "APILogListResponse": { "type": "object", "properties": { "results": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "string", "example": "AXyDkCYFy9B65Q_E9BY3" }, "url": { "type": "string", "example": "/public/v1/documents" }, "status": { "type": "integer", "example": 200 }, "request_time": { "type": "string", "example": "2021-10-15T10:59:22.852" }, "response_time": { "type": "string", "example": "2021-10-15T10:59:23.152" } } } } } } }, "responses": { "401": { "description": "Authentication error", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "authentication_error" }, "detail": { "type": "string", "example": "Authentication credentials were not provided." } } } } } }, "429": { "description": "Too Many Requests", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "throttled" }, "detail": { "type": "string", "example": "Request was throttled." } } } } } }, "400RequestError": { "description": "Bad Request", "content": { "application/json": { "schema": { "properties": { "type": { "type": "string", "example": "request_error" }, "detail": { "type": "object", "example": { "count": [ "A valid integer is required." ], "order_by": [ "value is not a valid choice." ] } } } } } } } }, "parameters": { "SinceParam": { "name": "since", "in": "query", "schema": { "type": "string", "default": "-90d" }, "description": "Determines a point in time from which logs should be fetched. Either a specific ISO 8601 datetime or a relative identifier such as \"-90d\" (for past 90 days).", "example": "-7d" }, "ToParam": { "name": "to", "in": "query", "schema": { "type": "string" }, "description": "Determines a point in time from which logs should be fetched. Either a specific ISO 8601 datetime or a relative identifier such as \"-10d\" (for past 10 days) or a special \"now\" value.", "example": "now" }, "CountParam": { "name": "count", "in": "query", "schema": { "type": "integer", "format": "int32", "minimum": 1, "default": 100 }, "description": "The amount of items on each page.", "example": 10 }, "PageParam": { "name": "page", "in": "query", "schema": { "type": "integer", "format": "int32", "minimum": 1, "default": 1 }, "description": "Returns page of the results by number.", "example": 1 }, "StatusesParam": { "name": "statuses", "in": "query", "style": "form", "explode": true, "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ApiLogStatusEnum" } }, "description": "Returns only the predefined status codes.", "examples": { "Default": { "value": [ 400, 500 ] }, "List API Logs 2XX": { "value": [ 200 ] } } }, "MethodsParam": { "name": "methods", "in": "query", "style": "form", "explode": true, "schema": { "type": "array", "items": { "$ref": "#/components/schemas/ApiLogMethodEnum" } }, "description": "Returns only the predefined HTTP methods. Allows GET, POST, PUT, PATCH, and DELETE.", "example": [ "GET", "POST" ] }, "SearchParam": { "name": "search", "in": "query", "schema": { "type": "string" }, "description": "Returns the results containing a string.", "example": "documents/hryJY9mqYZHjQCYQuSjRQg/send" }, "EnvironmentTypeParam": { "name": "environment_type", "in": "query", "schema": { "$ref": "#/components/schemas/ApiLogEnvironmentTypeEnum" }, "description": "Returns logs for production/sandbox.", "example": "PRODUCTION" } }, "examples": { "APILogListExample": { "value": { "results": [ { "id": "AZC86i5PYKMjoyFBAw9e", "url": "/public/v1/documents/iZy3j9GmryVUSAbwL9tGWP/recipients/", "method": "POST", "status": 200, "request_time": "2024-07-15T18:59:38.000", "response_time": "2024-07-15T18:59:39.000" }, { "id": "AZC86ewVMUHWrVijestF", "url": "/public/v1/documents/iZy3j9GmryVUSAbwL9tGWP/details", "method": "GET", "status": 200, "request_time": "2024-07-15T18:59:22.000", "response_time": "2024-07-15T18:59:22.000" }, { "id": "AZC86RrndoYcdqXPVw-l", "url": "/public/v1/documents/iZy3j9GmryVUSAbwL9tGWP/recipients/wdNMxCRFqH2DaZDcRDXkGc/", "method": "DELETE", "status": 204, "request_time": "2024-07-15T18:58:19.000", "response_time": "2024-07-15T18:58:20.000" } ] } }, "APILogList2XXExample": { "value": { "results": [ { "id": "AXp2jrHMK2MKv_lRqmQ", "url": "/public/v1/logs", "method": "GET", "status": 200, "request_time": "2021-07-05T12:05:00.389", "response_time": "2021-07-05T12:05:00.827" }, { "id": "AXp2iQACarAbusgUW4jY", "url": "/public/v1/logs", "method": "GET", "status": 200, "request_time": "2021-07-05T11:58:47.070", "response_time": "2021-07-05T11:58:47.588" }, { "id": "AXpip7PGK5MpUv_lQsuj", "url": "/public/v1/documents", "method": "POST", "status": 201, "request_time": "2021-07-01T15:19:54.607", "response_time": "2021-07-01T15:19:55.404" } ] } } } } } ```